# Generated by Django 3.0.2 on 2020-02-25 23:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('homepage', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Friend',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('hobby', models.CharField(max_length=255)),
                ('favFood', models.CharField(max_length=255)),
                ('favDrink', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Year',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.CharField(max_length=4)),
            ],
        ),
        migrations.DeleteModel(
            name='Friends',
        ),
        migrations.AddField(
            model_name='friend',
            name='year',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='homepage.Year'),
        ),
    ]
